import http from '@/utils/request'

// 发送验证码
export const sendSmsCode = (params) => {
  return http.post('/app-api/menduner/system/auth/send-sms-code', params)
}

// 验证码登录
export const smsLogin = (params) => {
  return http.post('/app-api/menduner/system/auth/sms-login', params)
}

// 密码登录
export const passwordLogin = (params) => {
  return http.post('/app-api/menduner/system/auth/login', params)
}

// 退出登录
export const logout = () => {
  return http.post('/app-api/menduner/system/auth/logout')
}

// 修改密码
export const updatePassword = (params) => {
  return http.put('/app-api/menduner/system/mde-user/update-password', params)
}

// 重置密码
export const resetPassword = (params) => {
  return http.put('/admin-api/menduner/system/mde-user/update-password', params)
}